Subject: [bug#37868] [PATCH] guix: Allow multiple packages to provide Linux modules in the system profile.

From: Giovanni Biscuolo <[email-masked]>
Date: Tue, 12 Nov 2019 19:11:55 +0100

[sorry for the double posting, I sent my previuos message incomplete]

Hi Danny,

Danny Milosavljevic <[email-masked]> writes:

[...]

> any comments about this patch?

I still don't understand the internals of Guix to be able to comment
your patch, but...

[...]

> Rationale of the patch:
>
> * Make Linux more modular, allowing the user to specify a union of Guix packages
> to use as "the kernel" (especially kernel modules).

this would be a nice to have feature!

[...]

> * Do we want to be able to add kernel modules in this fashion without requiring
> a reboot?  If so, that would make the situation a lot more complicated and I
> don't see a safe way to do that.

maybe I'm asking too much... but would it be possible to load and boot
into the new (or another) kernel from the currently running kernel
without a reboot, via kexec?

something like https://wiki.archlinux.org/index.php/Kexec#Manually but
with a clean stop/restart of system services?

I know it could take some time (and maybe other things to patch) to have
this feature, but maybe it is worth thinking of it in connection with
this design change

Thanks! Gio'

-- 
Giovanni Biscuolo

Xelera IT Infrastructures